---
title: Number() constructor
slug: Web/JavaScript/Reference/Global_Objects/Number/Number
tags:
  - Constructor
  - JavaScript
  - Number
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number()</code> constructor</strong> creates a {{jsxref("Number")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">new Number(<var>value</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>The numeric value of the object being created.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_Number_objects">Creating Number objects</h3>

<pre class="brush: js">const a = new Number('123'); // a === 123 is false
const b = Number('123');     // b === 123 is true
a instanceof Number;         // is true
b instanceof Number;         // is false</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number-constructor', 'Number constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.Number")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("NaN")}}</li>
 <li>The {{jsxref("Math")}} global object</li>
 <li>Integers with arbitrary precision: {{jsxref("BigInt")}}</li>
</ul>
